Search products

Returns products whose name or description matches the supplied search term.

Search results are not intended for read-after-write flows. Use List Products when you need to retrieve a newly created or updated product immediately.

Related guide: Products and Prices

Query Parameters
  • search
    Type: string
    min length:  
    1
    required

    Search term matched against product names and descriptions.

  • expand
    enum
    const:  
    default_price

    Pass default_price to include the expanded default Price object.

    values
    • default_price
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Integer numbers.

  • last_key
    Type: string

    Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • name
    Type: string

    Filter products by a partial name match.

  • active
    Type: boolean
  • start_date
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • end_date
    Type: string Format: date-time

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • sort_by
    Type: string enum
    values
    • created
    • updated
    • name
  • sort_order
    Type: string enum
    values
    • asc
    • desc
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/products/search
curl 'https://api.paypercut.io/v1/products/search?search=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "active": true,
      "name": "string",
      "description": "string",
      "unit_label": "string",
      "id": "string"
    }
  ],
  "last_key": null
}